Bug 1594289 - [RFE] Dashboard: Show a list of hosts with an expired token
Summary: [RFE] Dashboard: Show a list of hosts with an expired token
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Dashboard
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-22 14:22 UTC by pm-sat@redhat.com
Modified: 2019-10-07 17:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:34 UTC
Foreman Issue Tracker 22467 None None None 2018-06-22 14:22:22 UTC

Description pm-sat@redhat.com 2018-06-22 14:22:20 UTC
There should be an opt-in dashboard item that shows a list of hosts that have an expired install token.

Comment 1 pm-sat@redhat.com 2018-06-22 14:22:24 UTC
Created from redmine issue https://projects.theforeman.org/issues/22467

Comment 2 pm-sat@redhat.com 2018-06-22 14:22:26 UTC
Upstream bug assigned to None

Comment 4 pm-sat@redhat.com 2018-06-22 16:30:47 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22467 has been resolved.

Comment 7 Roman Plevka 2019-03-12 17:27:31 UTC
This works, but it only shows first 9 hosts.
There seems not to be a way of changing this behavior. Perhaps a pagination could help.

Comment 8 Tomer Brisker 2019-03-12 18:22:34 UTC
This is true for multiple dashboard widgets - for example, sync overview shows only 7 products, host collections only shows 7 collections, new hosts only shows 9 hosts, latest events only show 9 events, etc.
Currently there is no method of paginating in dashboard widgets and they show only as many items as the space permits by design. 
Moving back to ON_QA.

Comment 9 Roman Plevka 2019-03-13 10:17:25 UTC
based on this fact, I'm moving this to Verified

Comment 12 errata-xmlrpc 2019-05-14 12:37:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.